0

I just installed a few held back packages (all were mesa:386 dependent). However, afterwards, tons of system and application packages have been removed.

There is no x-server anymore, and no WM, no dolphin, QT etc. OS is Ubuntu 22.04 jammy with kernel x86_64 Linux 6.5.0-21-generic.

I haven't rebooted yet (and I don't think it will boot anyway). Is there a way to rescue my system? Or do I need to backup /home and stuff and start over?

According to the apt log, when installing the mesa packages, another package (policykit-1-gnome:amd64 (0.105-7ubuntu3, automatic)) have been installed as well, I guess that was what broke my system.

Would it be somehow possible to re-install all removed packages? Any help is appreciated!

Edit: logfile from apt:

Start-Date: 2024-02-29 10:18:25 Commandline: apt install libegl-mesa0:i386 libgbm1:i386 libgl1-mesa-dri:i386 libglapi-mesa:i386 libglx-mesa0:i386 libosmesa6:i386 mesa-va-drivers:i386 mesa-vulkan-drivers:i386 Requested-By: b11x (1000) Install: policykit-1-gnome:amd64 (0.105-7ubuntu3, automatic) Upgrade: libglx-mesa0:i386 (24.0.1~kisak1~j, 24.0.2~kisak1~j), libgbm1:i386 (24.0.1~kisak1~j, 24.0.2~kisak1~j), mesa-va-drivers:i386 (24.0.1~kisak1~j, 24.0.2~kisak1~j), libgl1-mesa-dri:i386 (24.0.1~kisak1~j, 24.0.2~kisak1~j), libosmesa6:i386 (24.0.1~kisak1~j, 24.0.2~kisak1~j), mesa-vulkan-drivers:i386 (24.0.1~kisak1~j, 24.0.2~kisak1~j), libglapi-mesa:i386 (24.0.1~kisak1~j, 24.0.2~kisak1~j), libegl-mesa0:i386 (24.0.1~kisak1~j, 24.0.2~kisak1~j) Remove: libkf5quickaddons5:amd64 (5.92.0-0ubuntu1), libkdecorations2-5v5:amd64 (4:5.24.4-0ubuntu1), breeze:amd64 (4:5.24.7-0ubuntu0.1), libcogl-path20:amd64 (1.22.8-3build1), libkf5kdelibs4support5-bin:amd64 (5.92.0-0ubuntu1), openjdk-11-jre:amd64 (11.0.22+7-0ubuntu2~22.04.1), xserver-xorg-video-nouveau:amd64 (1:1.0.17-2build1), libpoppler-qt5-1:amd64 (22.02.0-2ubuntu0.3), libkf5widgetsaddons5:amd64 (5.92.0-0ubuntu1), libkf5baloowidgets-data:amd64 (4:21.12.3-0ubuntu1), libkwinglutils13:amd64 (4:5.24.7-0ubuntu0.1), kinfocenter:amd64 (4:5.24.7-0ubuntu0.1), kwayland-integration:amd64 (4:5.24.4-0ubuntu1), evolution-data-server:amd64 (3.44.4-0ubuntu1.1), celluloid:amd64 (0.20-2), libkf5parts-plugins:amd64 (5.92.0-0ubuntu1), kde-baseapps:amd64 (4:21.08.0+5.118ubuntu1), libglu1-mesa-dev:amd64 (9.0.2-1), libkf5baloowidgets-bin:amd64 (4:21.12.3-0ubuntu1), gnome-user-docs:amd64 (41.5-1ubuntu2), libglx-dev:amd64 (1.4.0-1), libegl-dev:amd64 (1.4.0-1), libgles-dev:amd64 (1.4.0-1), libglx-mesa0:amd64 (24.0.1~kisak1~j), libkf5kirigami2-5:amd64 (5.92.0-0ubuntu2), va-driver-all:amd64 (2.14.0-1), libkf5plasmaquick5:amd64 (5.92.0-0ubuntu1), libkwineffects13:amd64 (4:5.24.7-0ubuntu0.1), libkf5runner5:amd64 (5.92.0-0ubuntu1), update-manager:amd64 (1:22.04.18), libksysguardsensorfaces1:amd64 (4:5.24.6-0ubuntu0.1), ark:amd64 (4:21.12.3-1ubuntu1), qml-module-org-kde-kquickcontrols:amd64 (5.92.0-0ubuntu1), kaccounts-providers:amd64 (4:21.12.3-0ubuntu1), software-properties-qt:amd64 (0.99.22.9), plasma-workspace:amd64 (4:5.24.7-0ubuntu0.1), libatk-wrapper-java-jni:amd64 (0.38.0-5build1), gnome-initial-setup:amd64 (42.0.1-1ubuntu2.3), plasma-systemmonitor:amd64 (5.24.4-0ubuntu1), libkf5dbusaddons5:amd64 (5.92.0-0ubuntu1), libqt5quickcontrols2-5:amd64 (5.15.3+dfsg-1), libkf5kdelibs4support5:amd64 (5.92.0-0ubuntu1), xserver-xorg-video-amdgpu:amd64 (23.0.0+git2302221807.7025aef~j~mesarc0), libqt5quickwidgets5:amd64 (5.15.3+dfsg-1), k3b:amd64 (21.12.3-0ubuntu1), libkf5kdcraw5:amd64 (21.12.3-0ubuntu1), libkf5itemviews5:amd64 (5.92.0-0ubuntu1), libkf5kiofilewidgets5:amd64 (5.92.0-0ubuntu1), qml-module-org-kde-kcoreaddons:amd64 (5.92.0-0ubuntu1), kio:amd64 (5.92.0-0ubuntu1), krita:amd64 (1:5.0.2+dfsg-1build1), qml-module-qtquick-shapes:amd64 (5.15.3+dfsg-1), xserver-xorg-core:amd64 (2:21.1.4-2ubuntu1.7~22.04.8), gstreamer1.0-gl:amd64 (1.20.1-1ubuntu0.1), mpv:amd64 (0.34.1-1ubuntu3), gthumb:amd64 (3:3.12.0-2), qml-module-qtquick-layouts:amd64 (5.15.3+dfsg-1), libtaskmanager6:amd64 (4:5.24.7-0ubuntu0.1), qml-module-org-kde-kirigami2:amd64 (5.92.0-0ubuntu2), libkwaylandserver5:amd64 (5.24.6-0ubuntu0.1), kscreen:amd64 (4:5.24.7-0ubuntu0.1), libkf5service5:amd64 (5.92.0-0ubuntu1), libqt5webenginewidgets5:amd64 (5.15.9+dfsg-1), libkf5authcore5:amd64 (5.92.0-0ubuntu1), libkf5notifyconfig5:amd64 (5.92.0-0ubuntu1), libkf5kexiv2-15.0.0:amd64 (21.12.3-0ubuntu1), qml-module-qtquick-window2:amd64 (5.15.3+dfsg-1), libkf5kiowidgets5:amd64 (5.92.0-0ubuntu1), qt5-gtk-platformtheme:amd64 (5.15.3+dfsg-2ubuntu0.2), libkf5configwidgets5:amd64 (5.92.0-0ubuntu1), libkf5idletime5:amd64 (5.92.0-0ubuntu1), kwrite:amd64 (4:21.12.3-0ubuntu1), kdeconnect:amd64 (21.12.3-0ubuntu1), kde-config-updates:amd64 (5.24.7-0ubuntu0.1), libkf5filemetadata-bin:amd64 (5.92.0-0ubuntu1), libgbm1:amd64 (24.0.1~kisak1~j), ktexteditor-katepart:amd64 (5.92.0-0ubuntu1), libdbusmenu-qt5-2:amd64 (0.9.3+16.04.20160218-2build1), gstreamer1.0-clutter-3.0:amd64 (3.0.27-2ubuntu1), qml-module-org-kde-solid:amd64 (5.92.0-0ubuntu1), libqt5charts5:amd64 (5.15.3-1), libkf5kcmutils5:amd64 (5.92.0-0ubuntu1), systemsettings:amd64 (4:5.24.6-0ubuntu0.1), ubuntu-release-upgrader-gtk:amd64 (1:22.04.19), xdg-desktop-portal-kde:amd64 (5.24.7-0ubuntu0.1), libcogl20:amd64 (1.22.8-3build1), libk3b7-extracodecs:amd64 (21.12.3-0ubuntu1), libmutter-10-0:amd64 (42.9-0ubuntu5), libweather-ion7:amd64 (4:5.24.7-0ubuntu0.1), libqt5x11extras5:amd64 (5.15.3-1), libglx0:amd64 (1.4.0-1), libqaccessibilityclient-qt5-0:amd64 (0.4.1-1build1), gnome-session-bin:amd64 (42.0-1ubuntu2), libkpmcore11:amd64 (21.12.3-0ubuntu1), kwrited:amd64 (4:5.24.4-0ubuntu1), qml-module-org-kde-draganddrop:amd64 (5.92.0-0ubuntu1), qml-module-qtquick-controls2:amd64 (5.15.3+dfsg-1), libkf5screen7:amd64 (4:5.24.4-0ubuntu1), libwxgtk3.0-gtk3-0v5:amd64 (3.0.5.1+dfsg-4), liboxygenstyleconfig5-5:amd64 (4:5.24.6-0ubuntu0.1), baloo-kf5:amd64 (5.92.0-0ubuntu1), xserver-xorg-input-all:amd64 (1:7.7+23ubuntu2), libpowerdevilcore2:amd64 (4:5.24.7-0ubuntu0.1), libqt5quickshapes5:amd64 (5.15.3+dfsg-1), layer-shell-qt:amd64 (5.24.6-0ubuntu0.1), libkf5newstuff5:amd64 (5.92.0-0ubuntu1.1), libkf5baloowidgets5:amd64 (4:21.12.3-0ubuntu1), qml-module-qt-labs-platform:amd64 (5.15.3+dfsg-1), ksystemstats:amd64 (5.24.6-0ubuntu0.1), kio-extras:amd64 (4:21.12.3-0ubuntu1), xserver-xorg-video-intel:amd64 (2:2.99.917+git20210115-1), libavdevice58:amd64 (7:4.4.2-0ubuntu0.22.04.1), krita-gmic:amd64 (2.9.4-4build1), libclutter-gtk-1.0-0:amd64 (1.8.4-4build2), libgstreamer-gl1.0-0:amd64 (1.20.1-1ubuntu0.1), ffmpeg:amd64 (7:4.4.2-0ubuntu0.22.04.1), gir1.2-webkit2-4.0:amd64 (2.42.5-0ubuntu0.22.04.2), kde-config-gtk-style:amd64 (4:5.24.4-0ubuntu1), gnome-remote-desktop:amd64 (42.9-0ubuntu0.22.04.1), kde-style-oxygen-qt5:amd64 (4:5.24.6-0ubuntu0.1), libkf5declarative5:amd64 (5.92.0-0ubuntu1), x11-utils:amd64 (7.7+5build2), clementine:amd64 (1.4.0~rc1+git347-gfc4cb6fc7+dfsg-2), kde-config-screenlocker:amd64 (5.24.4-0ubuntu1), ksnip:amd64 (1.10.0), libkf5windowsystem5:amd64 (5.92.0-0ubuntu1), xserver-xorg:amd64 (1:7.7+23ubuntu2), libcheese-gtk25:amd64 (41.1-1build1), libgoa-backend-1.0-1:amd64 (3.44.0-1ubuntu1), libkf5jobwidgets5:amd64 (5.92.0-0ubuntu1), libqt5multimedia5-plugins:amd64 (5.15.3-1), libkf5style5:amd64 (5.92.0-0ubuntu1), libkf5xmlgui5:amd64 (5.92.0-0ubuntu2), powerdevil:amd64 (4:5.24.7-0ubuntu0.1), libkf5baloo5:amd64 (5.92.0-0ubuntu1), libkf5prison5:amd64 (5.92.0-0ubuntu1), libkf5people5:amd64 (5.92.0-0ubuntu1), libkf5globalaccelprivate5:amd64 (5.92.0-0ubuntu1), qml-module-ubuntu-onlineaccounts:amd64 (0.6+17.04.20170405-0ubuntu5), xserver-xorg-video-vesa:amd64 (1:2.5.0-1build4), kimageformat-plugins:amd64 (5.92.0-0ubuntu1), libkf5parts5:amd64 (5.92.0-0ubuntu1), khotkeys:amd64 (4:5.24.4-0ubuntu1), python3-pyqt5:amd64 (5.15.6+dfsg-1ubuntu3), drkonqi:amd64 (5.24.5-0ubuntu0.1), libmpv1:amd64 (0.34.1-1ubuntu3), libqt5quick5:amd64 (5.15.3+dfsg-1), gnome-shell:amd64 (42.9-0ubuntu2), gir1.2-gst-plugins-base-1.0:amd64 (1.20.1-1ubuntu0.1), kactivitymanagerd:amd64 (5.24.4-0ubuntu1), qml-module-org-kde-qqc2desktopstyle:amd64 (5.92.0-0ubuntu1), qtwayland5:amd64 (5.15.3-1), libqt5waylandcompositor5:amd64 (5.15.3-1), libqt5quickparticles5:amd64 (5.15.3+dfsg-1), libqt5widgets5:amd64 (5.15.3+dfsg-2ubuntu0.2), libqt5virtualkeyboard5:amd64 (5.15.3+dfsg-1), libglvnd-dev:amd64 (1.4.0-1), qml-module-qtmultimedia:amd64 (5.15.3-1), lollypop:amd64 (1.4.33-1), qml-module-qtcharts:amd64 (5.15.3-1), mesa-va-drivers:amd64 (24.0.1~kisak1~j), plasma-browser-integration:amd64 (5.24.4-0ubuntu1), dolphin:amd64 (4:21.12.3-0ubuntu1), libgl1-mesa-dev:amd64 (24.0.1~kisak1~j), libgl1-mesa-dri:amd64 (24.0.1~kisak1~j), libglfw3:amd64 (3.3.6-1), libqt5multimediaquick5:amd64 (5.15.3-1), libosmesa6:amd64 (24.0.1~kisak1~j), libprocessui9:amd64 (4:5.24.6-0ubuntu0.1), libkf5peoplewidgets5:amd64 (5.92.0-0ubuntu1), libegl1-mesa-dev:amd64 (24.0.1~kisak1~j), libkaccounts2:amd64 (4:21.12.3-0ubuntu1), kup-backup:amd64 (0.9.1-1), debconf-kde-helper:amd64 (1.1.0-1), kwin-x11:amd64 (4:5.24.7-0ubuntu0.1), libqt5hunspellinputmethod5:amd64 (5.15.3+dfsg-1), kpackagelauncherqml:amd64 (5.92.0-0ubuntu1), libqt5gui5:amd64 (5.15.3+dfsg-2ubuntu0.2), libqt5multimediagsttools5:amd64 (5.15.3-1), ubuntu-desktop:amd64 (1.481.1), kwin-style-breeze:amd64 (4:5.24.7-0ubuntu0.1), libkf5syntaxhighlighting5:amd64 (5.92.0-0ubuntu1), gdm3:amd64 (42.0-1ubuntu7.22.04.4), libkf5screen-bin:amd64 (4:5.24.4-0ubuntu1), libkscreenlocker5:amd64 (5.24.4-0ubuntu1), libqt5multimedia5:amd64 (5.15.3-1), qml-module-org-kde-activities:amd64 (5.92.0-0ubuntu1), gnome-shell-extension-desktop-icons-ng:amd64 (43-2ubuntu1), plasma-discover-backend-snap:amd64 (5.24.7-0ubuntu0.1), filezilla:amd64 (3.58.0-1ubuntu0.1), keditbookmarks:amd64 (21.12.3-0ubuntu1), ksshaskpass:amd64 (4:5.24.4-0ubuntu1), libedataserverui-1.2-3:amd64 (3.44.4-0ubuntu1.1), libqt5printsupport5:amd64 (5.15.3+dfsg-2ubuntu0.2), plasma-integration:amd64 (5.24.4-0ubuntu1), libkf5bookmarks5:amd64 (5.92.0-0ubuntu1), gnome-shell-extension-appindicator:amd64 (42-2~fakesync1), kinit:amd64 (5.92.0-0ubuntu1), libkf5texteditor-bin:amd64 (5.92.0-0ubuntu1), qml-module-qtwebengine:amd64 (5.15.9+dfsg-1), gstreamer1.0-gtk3:amd64 (1.20.3-0ubuntu1.1), plasma-disks:amd64 (5.24.4-0ubuntu1), qml-module-org-kde-purpose:amd64 (5.92.0-0ubuntu1), qml-module-qtquick-virtualkeyboard:amd64 (5.15.3+dfsg-1), update-notifier:amd64 (3.192.54.6), xwayland:amd64 (2:22.1.1-1ubuntu0.11), libkf5guiaddons5:amd64 (5.92.0-0ubuntu1), libqt5opengl5:amd64 (5.15.3+dfsg-2ubuntu0.2), plasma-discover-backend-fwupd:amd64 (5.24.7-0ubuntu0.1), xserver-xorg-video-radeon:amd64 (1:19.1.0-2ubuntu1), libkf5waylandclient5:amd64 (4:5.92.0-0ubuntu1), libreoffice-script-provider-js:amd64 (1:7.3.7-0ubuntu0.22.04.4), kded5:amd64 (5.92.0-0ubuntu1), libdebconf-kde1:amd64 (1.1.0-1), kdegraphics-thumbnailers:amd64 (4:21.12.3-0ubuntu1), frameworkintegration:amd64 (5.92.0-0ubuntu1), libprocesscore9:amd64 (4:5.24.6-0ubuntu0.1), libkf5iconthemes-bin:amd64 (5.92.0-0ubuntu1), konsole:amd64 (4:21.12.3-0ubuntu1), gir1.2-mutter-10:amd64 (42.9-0ubuntu5), xserver-xorg-video-vmware:amd64 (1:13.3.0-3build1), libphonon4qt5-4:amd64 (4:4.11.1-4), libkf5purpose5:amd64 (5.92.0-0ubuntu1), kdialog:amd64 (4:21.12.3-0ubuntu1), milou:amd64 (4:5.24.6-0ubuntu0.1), mesa-utils-bin:amd64 (8.4.0-1ubuntu1), libkf5pulseaudioqt3:amd64 (1.3-2), mesa-vulkan-drivers:amd64 (24.0.1~kisak1~j), libkf5globalaccel5:amd64 (5.92.0-0ubuntu1), libqt5webengine5:amd64 (5.15.9+dfsg-1), qml-module-org-kde-people:amd64 (5.92.0-0ubuntu1), qml-module-org-kde-userfeedback:amd64 (1.2.0-2), kwalletmanager:amd64 (4:21.12.3-1ubuntu1), default-jre:amd64 (2:1.11-72build2), libkwinxrenderutils13:amd64 (4:5.24.7-0ubuntu0.1), freedownloadmanager:amd64 (6.19.1.5263), lutris:amd64 (0.5.13), gnome-online-accounts:amd64 (3.44.0-1ubuntu1), libkf5globalaccel-bin:amd64 (5.92.0-0ubuntu1), qtbase5-dev:amd64 (5.15.3+dfsg-2ubuntu0.2), libkuserfeedbackwidgets1:amd64 (1.2.0-2), qtvirtualkeyboard-plugin:amd64 (5.15.3+dfsg-1), xserver-xorg-input-libinput:amd64 (1.2.1-1), libkf5service-bin:amd64 (5.92.0-0ubuntu1), libqmobipocket2:amd64 (4:21.12.3-0ubuntu1), zenity:amd64 (3.42.1-0ubuntu1), liboxygenstyle5-5:amd64 (4:5.24.6-0ubuntu0.1), libkf5wallet-bin:amd64 (5.92.0-0ubuntu1), libkf5guiaddons-bin:amd64 (5.92.0-0ubuntu1), kde-config-sddm:amd64 (4:5.24.6-0ubuntu0.1), libcolorcorrect5:amd64 (4:5.24.7-0ubuntu0.1), qml-module-org-kde-kwindowsystem:amd64 (5.92.0-0ubuntu1), libkf5texteditor5:amd64 (5.92.0-0ubuntu1), xorg:amd64 (1:7.7+23ubuntu2), plasma-thunderbolt:amd64 (5.24.7-0ubuntu0.1), qml-module-qtgraphicaleffects:amd64 (5.15.3-1), ubuntu-session:amd64 (42.0-1ubuntu2), libqt5svg5:amd64 (5.15.3-1), libkuserfeedbackcore1:amd64 (1.2.0-2), kgamma5:amd64 (4:5.24.4-0ubuntu1), libkf5khtml-bin:amd64 (5.92.0-0ubuntu1), sddm:amd64 (0.19.0-2ubuntu2.3), libkf5cddb5:amd64 (4:21.12.3-0ubuntu1), kde-style-breeze:amd64 (4:5.24.7-0ubuntu0.1), libk3b7:amd64 (21.12.3-0ubuntu1), libreoffice-sdbc-hsqldb:amd64 (1:7.3.7-0ubuntu0.22.04.4), libqt5webkit5:amd64 (5.212.0~alpha4-15ubuntu1), kmenuedit:amd64 (4:5.24.4-0ubuntu1), libkf5khtml5:amd64 (5.92.0-0ubuntu1), libkwalletbackend5-5:amd64 (5.92.0-0ubuntu1), libqt5multimediawidgets5:amd64 (5.15.3-1), plasma-nm:amd64 (4:5.24.5-0ubuntu0.1), plasma-pa:amd64 (4:5.24.7-0ubuntu0.1), libgl-dev:amd64 (1.4.0-1), libqt5quicktemplates2-5:amd64 (5.15.3+dfsg-1), libkf5notifications5:amd64 (5.92.0-0ubuntu1), libkf5waylandserver5:amd64 (4:5.92.0-0ubuntu1), libqt5opengl5-dev:amd64 (5.15.3+dfsg-2ubuntu0.2), apturl:amd64 (0.5.2ubuntu22), libfaudio0:amd64 (22.02-1), qml-module-qtquick-privatewidgets:amd64 (5.15.3-1), libkf5sonnetui5:amd64 (5.92.0-0ubuntu1), libglapi-mesa:amd64 (24.0.1~kisak1~j), libsdl2-2.0-0:amd64 (2.0.20+dfsg-2ubuntu1.22.04.1), ubuntu-docs:amd64 (22.04.5), liblayershellqtinterface5:amd64 (5.24.6-0ubuntu0.1), xserver-xorg-input-wacom:amd64 (1:1.0.0-3ubuntu1), khelpcenter:amd64 (4:21.12.3-0ubuntu1), gnome-shell-extension-ubuntu-dock:amd64 (72~ubuntu5.22.04.2.1), xserver-xephyr:amd64 (2:21.1.4-2ubuntu1.7~22.04.8), teamviewer:amd64 (15.51.5), brave-browser:amd64 (1.63.165), libyelp0:amd64 (42.1-1), gnome-control-center:amd64 (1:41.7-0ubuntu0.22.04.8), ubuntu-desktop-minimal:amd64 (1.481.1), libwine-development:amd64 (6.0+repack-1ubuntu1), yelp:amd64 (42.1-1), qml-module-org-kde-kcm:amd64 (5.92.0-0ubuntu1), qml-module-org-kde-kio:amd64 (5.92.0-0ubuntu1), qml-module-org-kde-runnermodel:amd64 (5.92.0-0ubuntu1), vlc-plugin-video-output:amd64 (3.0.16-1build7), libkf5newstuffcore5:amd64 (5.92.0-0ubuntu1.1), qml-module-qtquick-controls:amd64 (5.15.3-1), libkf5textwidgets5:amd64 (5.92.0-0ubuntu1), qml-module-qtquick-templates2:amd64 (5.15.3+dfsg-1), plasma-discover:amd64 (5.24.7-0ubuntu0.1), code:amd64 (1.87.0-1709078641), libkf5kiocore5:amd64 (5.92.0-0ubuntu1), mediainfo-gui:amd64 (22.03-1), libkf5auth5:amd64 (5.92.0-0ubuntu1), libkf5solid5:amd64 (5.92.0-0ubuntu1), libcogl-pango20:amd64 (1.22.8-3build1), libqt5webenginecore5:amd64 (5.15.9+dfsg-1), libkf5wallet5:amd64 (5.92.0-0ubuntu1), libkf5plasma5:amd64 (5.92.0-0ubuntu1), nautilus-share:amd64 (0.7.3-2ubuntu6), qml-module-org-kde-kconfig:amd64 (5.92.0-0ubuntu1), libcheese8:amd64 (41.1-1build1), python3-gst-1.0:amd64 (1.20.1-1), libwebkit2gtk-4.0-37:amd64 (2.42.5-0ubuntu0.22.04.2), libatk-wrapper-java:amd64 (0.38.0-5build1), partitionmanager:amd64 (21.12.3-0ubuntu1), corectrl:amd64 (1.4.0~git2402061859.cb5f906~j~mesarc16), polkit-kde-agent-1:amd64 (4:5.24.4-0ubuntu1), kde-plasma-desktop:amd64 (5:118ubuntu1), libnotificationmanager1:amd64 (4:5.24.7-0ubuntu0.1), libegl-mesa0:amd64 (24.0.1~kisak1~j), konsole-kpart:amd64 (4:21.12.3-0ubuntu1), virtualbox-7.0:amd64 (7.0.8-156879~Ubuntu~jammy), libkfontinstui5:amd64 (4:5.24.7-0ubuntu0.1), libkf5kiogui5:amd64 (5.92.0-0ubuntu1), qml-module-org-kde-sonnet:amd64 (5.92.0-0ubuntu1), libpolkit-qt5-1-1:amd64 (0.114.0-2), mesa-utils:amd64 (8.4.0-1ubuntu1), qml-module-org-kde-newstuff:amd64 (5.92.0-0ubuntu1.1), libkf5purpose-bin:amd64 (5.92.0-0ubuntu1), libkf5iconthemes5:amd64 (5.92.0-0ubuntu1), libksysguardformatter1:amd64 (4:5.24.6-0ubuntu0.1), libqt5designer5:amd64 (5.15.3-1), libgl1:amd64 (1.4.0-1), libegl1:amd64 (1.4.0-1), qml-module-qtquick2:amd64 (5.15.3+dfsg-1), libreoffice-script-provider-bsh:amd64 (1:7.3.7-0ubuntu0.22.04.4), ffmpegthumbs:amd64 (4:21.12.3-0ubuntu1), xserver-xorg-video-all:amd64 (1:7.7+23ubuntu2), xserver-xorg-video-ati:amd64 (1:19.1.0-2ubuntu1), libkf5completion5:amd64 (5.92.0-0ubuntu1), qt5-style-kvantum:amd64 (1.0.10+repack-2~jammy1), kdenetwork-filesharing:amd64 (4:21.12.3-0ubuntu1), qml-module-qtquick-dialogs:amd64 (5.15.3-1), libreoffice-nlpsolver:amd64 (0.9+LibO7.3.7-0ubuntu0.22.04.4), libkf5contacts5:amd64 (5:5.92.0-0ubuntu1), libclutter-1.0-0:amd64 (1.26.4+dfsg-4build1), libglfw3-dev:amd64 (3.3.6-1), plasma-framework:amd64 (5.92.0-0ubuntu1), qml-module-org-kde-prison:amd64 (5.92.0-0ubuntu1), gnome-startup-applications:amd64 (42.0-1ubuntu2), xserver-xorg-video-fbdev:amd64 (1:0.5.0-2build1), bluedevil:amd64 (4:5.24.7-0ubuntu0.1), libksysguardsensors1:amd64 (4:5.24.6-0ubuntu0.1), qml-module-org-kde-ksysguard:amd64 (4:5.24.6-0ubuntu0.1), kpeople-vcard:amd64 (0.1-2), phonon4qt5:amd64 (4:4.11.1-4), libclutter-gst-3.0-0:amd64 (3.0.27-2ubuntu1), kfind:amd64 (4:21.12.3-0ubuntu1), libqt5waylandclient5:amd64 (5.15.3-1), qml-module-org-kde-quickcharts:amd64 (5.92.0-0ubuntu1), libkworkspace5-5:amd64 (4:5.24.7-0ubuntu0.1), libkf5crash5:amd64 (5.92.0-0ubuntu1), phonon4qt5-backend-vlc:amd64 (0.11.3-1), libkdecorations2private9:amd64 (4:5.24.4-0ubuntu1), plasma-desktop:amd64 (4:5.24.7-0ubuntu0.1), qml-module-org-kde-kquickcontrolsaddons:amd64 (5.92.0-0ubuntu1), libkf5configgui5:amd64 (5.92.0-0ubuntu1), kde-cli-tools:amd64 (4:5.24.4-0ubuntu1), libqt5help5:amd64 (5.15.3-1), xserver-xorg-video-qxl:amd64 (0.1.5+git20200331-3), libreoffice-wiki-publisher:amd64 (1.2.0+LibO7.3.7-0ubuntu0.22.04.4), qml-module-qtquick-particles2:amd64 (5.15.3+dfsg-1), kwin-common:amd64 (4:5.24.7-0ubuntu0.1) End-Date: 2024-02-29 10:20:17

7
  • Go through your /etc/apt/sources.list and /etc/apt/sources.list.d/*.list files and remove any inconsistencies, such as unwanted architectures. After that, sudo apt update and sudo apt upgrade should work again.
    – Jos
    Feb 29 at 9:57
  • I have only seen what you describe where 3rd party sources and packages had been added, and the packages weren't well packaged for future upgrades (thus causing updated official Ubuntu packages to conflict & thus removal is the means of correcting the 3rd party package forced problem). Your details are unclear to me as you mention Qt (Ubuntu Desktop doesn't use Qt), dolphin (is this KDE Plasma/Kubuntu??) and would likely explore a sudo apt install ubuntu-desktop (OR sudo apt install kubuntu-desktop if you're using Kubuntu)...
    – guiverc
    Feb 29 at 11:29
  • ... FYI: I'd likely explore what actually happened, ie. checking the apt logs as to what you did that caused this, but that could just be me wanting to know what caused it... (I have seen a bug report(s) on this type of issue occurring, however I couldn't re-create it myself). Also FYI: You can non-destructively re-install a Ubuntu/Kubuntu Desktop system rather easily... though as already stated your details are unclear to me (mention of Ubuntu but Kubuntu packages/toolkits?) refer askubuntu.com/questions/446102/…
    – guiverc
    Feb 29 at 11:32
  • Yes, I am using KDE-Plasma as desktop. Sorry, forgot to mention. So maybe a sudo apt install kde-plasma-desktop might fix this mess? I am using ppa:kisak/kisak-mesa instead of default mesa as well. That's where the packages came from.
    – b11x
    Feb 29 at 11:38
  • 1
    You will need to reinstall, not add that ppa, and in future read the output apt gives before proceeding. It tells you what it's going to do and asks you if you want to proceed. Feb 29 at 13:21

1 Answer 1

0

Be prepared to need a reinstall Ubuntu and backup stuff beforehand. Keep in mind that the conflict that caused this might need to be addressed before the packages will install again. You can always try to do sudo apt -f install to try and fix installed broken packages but this doesn't always work and you would need to pay close attention to the suggested fix to prevent a similar problem before entering Y to accept the changes.


If you want to try to reinstall those packages, you can run the following to create a clean list of packages to install that you can feed to apt and reinstall the packages.

First, create the list:

cd
grep -hA5 "2024-02-29 10.18.25" /var/log/apt/history.log | grep "Remove" > removedpackages

Clean up the list:

sed -e "s/ [a-z0-9(]/\n&/g" removedpackages

Grep for package names only (lines that begin with a blank space followed by a lower case letter or number):

sed -e "s/ [a-z0-9(]/\n&/g" removedpackages | grep '^ [a-z0-9]'

If this list looks clean where packages are listed in the format of packagename:amd64 or packagename:all or packagename:i386 etc., then send the list to a new file named removedlist:

sed -e "s/ [a-z0-9(]/\n&/g" removedpackages | grep '^ [a-z0-9]' > removedlist

And then send the list to apt to reinstall the packages:

sudo apt update
sudo apt install $(cat removedlist)

Finally, remove your working files as they are no longer needed:

rm removedlist removedpackages

See here for an explanation of the commands used.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .